org.apache.felix.ipojo.manipulator.spi

## Class AbsBindingModule.StereotypeBindingBuilder

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.AbsBindingModule.StereotypeBindingBuilder

Enclosing class:
  AbsBindingModule

    public class AbsBindingModule.StereotypeBindingBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StereotypeBindingBuilder(List<Binding> bindings, Class<? extends Annotation> type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbsBindingModule.StereotypeBindingBuilder` `with(AnnotationLiteral<?> literal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StereotypeBindingBuilder

    public StereotypeBindingBuilder(List<Binding> bindings,
                                    Class<? extends Annotation> type)

### Method Detail

#### with

    public AbsBindingModule.StereotypeBindingBuilder with(AnnotationLiteral<?> literal)